import React, { PureComponent } from 'react'
import { Modal, Row, Col } from 'antd'
import EnDash from '../EnDash'

import Style from './style.less'
import HotBlock from '../HotBlock'


export default function SaleBatchHelpDoc(props) {
  return (
    <Modal footer={null} title="相关说明" visible={props.visible} onCancel={props.onCancel} width={800}>
      <div className={Style.article}>
        <div className={Style.section}>
          <div>
            1.楼盘多次开盘加推等销售行为，记录为多个“销售批次”，每个批次销售当前楼盘的一批不同房源。同一楼盘不同批次中房源不能重叠，即1套房不能卖2次。<br/><br/>
            2.销售楼盘下拉仅显示上架楼盘。未上架楼盘若想发布销售批次请先在楼盘列表中将楼盘上架。<br/><br/>
            3.销售批次和房源均发布后，用户在小程序端可以查看并“预选”或“认筹”房源，设置“预选开始时间”和“预选结束时间"可以限制用户预选，超出时间范围禁止用户预选，设置"认筹开始时间"和"认筹结束时间"可以限制用户认筹，超出时间范围禁止用户认筹。<br/><br/>
            4."认筹需预选"若为"是"，则代表不可只认筹不预选，在执行认筹操作时会提示未预选用户请先预选。如果此时已超出预选期则无法预选，自然也无法认筹。如果此时仍然在预选期则可以预选后再认筹。"认筹需预选"若为"否"，则代表可以不经过预选环节直接认筹。通过配置修改预选时间、认筹时间和认筹是否需预选，可以在销售过程中控制销售行为。<br/><br/>
            5."认筹需缴费"若为"是"，则代表在认筹过程中需要缴费（交认筹金/订金）才能最终认筹成功。"认筹需缴费"若为"否"，则代表认筹不需要含缴费流程，执行完其他流程即可认筹成功。<br/><br/>
            6.若"认筹需缴费"设置为"是"，则需要再设置"缴费方式"，目前支持2种缴费方式，"线上微信支付"和"线下付款上传凭据"，可以多选，2种支付方式在缴费成功后都需要财务审核，审核不通过需要退费。<br/><br/>
            7.认筹金额支持2位小数，整数部分最大8位数。<br/><br/>
            8.发布状态为否，则在小程序端楼盘详情页面看不到当前销售批次入口。发布状态为是，则用户可以点击入口进入房源列表查看房源进行预选或认筹操作。<br/><br/>
            </div>
        </div>
        
      </div>
    </Modal>
  );
}
